import UniqueShapeRule from '../../../rules/uniqueShapeRule.js';
import { BTGridData, CheckResult } from '../data.js';
import RegionShapeBTModule from './regionShape.js';
export default class UniqueShapeBTModule extends RegionShapeBTModule {
    instr: UniqueShapeRule;
    constructor(instr: UniqueShapeRule);
    checkGlobal(grid: BTGridData): CheckResult | false;
}
